Skip to main content
GET
/
repos
/
{org}
/
{repo_name}
Get a repo
curl --request GET \
  --url https://app.kosli.com/api/v2/repos/{org}/{repo_name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.kosli.com/api/v2/repos/{org}/{repo_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.kosli.com/api/v2/repos/{org}/{repo_name}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "repo_id": "<string>",
  "description": "<string>",
  "tags": {},
  "_links": {}
}
{
  "message": "<string>",
  "errors": {}
}
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repo_name
string
required
org
string
required

Query Parameters

provider
enum<string> | null

VCS provider (e.g. github, gitlab, bitbucket, azure-devops, circleci). Required when multiple repos share the same name across providers.

Available options:
github,
gitlab,
bitbucket,
azure-devops,
circleci
id
string | null

The repo's internal id (returned as id in the repo response). If given, this unambiguously identifies the repo and 'provider' is ignored.

Response

Successful Response

id
string
required
name
string
required
url
string
required
provider
enum<string> | null
Available options:
github,
gitlab,
bitbucket,
azure-devops,
circleci
repo_id
string | null
description
string | null
tags
Tags · object
Last modified on July 8, 2026